ProtectedPart (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class ProtectedPart

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.ProtectedPart

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ProtectedPart
      extends ASN1Object

       ProtectedPart ::= SEQUENCE {
                header    PKIHeader,
                body      PKIBody
            }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtectedPart(PKIHeader header, PKIBody body)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PKIBody` | `getBody()`
    `PKIHeader` | `getHeader()`
    `static ProtectedPart` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` ProtectedPart ::= SEQUENCE { header PKIHeader, body PKIBody }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtectedPart

          public ProtectedPart(PKIHeader header,
                               PKIBody body)

  - ### Method Detail

    - #### getInstance

          public static ProtectedPart getInstance(java.lang.Object o)

    - #### getHeader

          public PKIHeader getHeader()

    - #### getBody

          public PKIBody getBody()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           ProtectedPart ::= SEQUENCE {
                              header    PKIHeader,
                              body      PKIBody
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.